Actualiza la configuración de conexión de canales para una aplicación específica.
curl --request PATCH \
--url https://api.hubapi.com/crm/extensions/calling/2026-03/{appId}/settings/channel-connection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isReady": true,
"url": "<string>"
}
'import requests
url = "https://api.hubapi.com/crm/extensions/calling/2026-03/{appId}/settings/channel-connection"
payload = {
"isReady": True,
"url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({isReady: true, url: '<string>'})
};
fetch('https://api.hubapi.com/crm/extensions/calling/2026-03/{appId}/settings/channel-connection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"isReady": true,
"updatedAt": "2023-11-07T05:31:56Z",
"url": "<string>"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Configuración de conexión de canal
Update channel connection settings
Modifica la configuración de conexión de canal existente para la aplicación especificada.
PATCH
/
crm
/
extensions
/
calling
/
2026-03
/
{appId}
/
settings
/
channel-connection
Actualiza la configuración de conexión de canales para una aplicación específica.
Supported products
Supported products
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de ruta
El identificador único de la aplicación cuya configuración de conexión de canales se actualizará.
Cuerpo
application/json
Respuesta
successful operation
La fecha y hora en que se creó la configuración de conexión de canal.
Indica si la configuración de conexión de canal está lista para usarla.
La fecha y hora de la última actualización de la configuración de conexión de canal.
La URL asociada con la configuración de conexión del canal.
Última modificación el 3 de abril de 2026